BUS_GET_PROPERTY(9)

NAME
BUS_GET_PROPERTY - get child's specific property

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
ssize_t
BUS_GET_PROPERTY(device_t dev, device_t child, const char *propname, void *propvalue, size_t size);

DESCRIPTION
The BUS_GET_PROPERTY() method is called from driver code which wants to access child's specific data stored on the bus. Property consits of its name and value. Implementation shall copy to propvalue at most size bytes.

NOTES
If propvalue is NULL or size is zero, then implementation shall only return size of the property.

RETURN VALUES
Property's size if successful, otherwise -1.

SEE ALSO
device(9), device_get_property(9)

AUTHORS
This manual page was written by Bartlomiej Grzesik.